Redmine と Ruby と MySQL

投稿者: | 2013年11月26日

Redmine 2.3を2.4にバージョンをあげてRuby 1.8を1.9にして動かそうとしたけどうごかない。utf-8がどうたらこうたらとかの “incompatible character encodings: UTF-8 and ASCII-8BIT” なんていうエラーになる。悩む。何が悪いのかわからない。やっと原因がわかった。

「MySQLをRuby 1.9で使用するの場合の例 (データベースアダプタは mysql2 でなければなりません):」
http://redmine.jp/guide/RedmineInstall/

ruby 1.8で使っていたmysqlアダプタのままだった。mysql2にしたら何もなかったかのように動いた。

キーワード: Redmine UTF-8 ASCII-8BIT ruby 1.8 1.9 mysql


[wp_ad_camp_1]

FacebooktwitterpinterestlinkedinmailFacebooktwitterpinterestlinkedinmailby feather